/*
 * =============================================================================
 * (C) Copyright 2008-2023 Succession Systems, LLC
 *
 * This file is provided under the terms of a licence and may not be distributed
 * and/or modified except where allowed by that licence.
 * =============================================================================
 */
html, body {
  /* background:#ffffff; */
  /* background:#e0ffff; */
  /* background:#d6e6e6; */
  background:#f9f9f9;
  font: normal 12px tahoma, arial, verdana, sans-serif;
  margin: 0;
  padding: 0;export
  border: 0 none;
  overflow: hidden;
  height: 100%;
}

.transparent {
  -moz-opacity: 0.8;
  opacity: .80;
  filter: alpha(opacity=80);
}
.wallpaper-tile {
  background-repeat: repeat;
  background-position: left top;
}
.wallpaper-center {
  background-position: center;
}


#successionlogo {
  position: absolute;
  top: -90px;
  right: 10px;
  z-index: 15000;

  /* IE 5-7 */
  filter: alpha(opacity=100);
  /* Netscape */
  -moz-opacity: 1.0;
  /* Safari 1.x */
  -khtml-opacity: 1.0;
  /* Good browsers */
  opacity: 1.0;
}

#successionlogo div {
  position: relative;
  width: 400px;
  height: 100px;
  background-image: url(../images/succession_logo_400x100.png);
  background-repeat: no-repeat;
}

/* The simple background image PNG does not work in IE6-8, but does in IE9 */
.x-ie6 #successionlogo div,
.x-ie7 #successionlogo div,
.x-ie8 #successionlogo div {
  background-image: none;
  filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='static/images/succession_logo_400x100.png', sizingMethod='scale');
}


/* Tell the browser that the image is a block element. Then we can center it
 * like we would a block. */
img.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}


.start {
  background-image: url( ../images/startbutton-icon.png ) !important;
}

.bogus {
  background-image: url( ../images/bogus.png ) !important;
}

.logout {
  background-image: url( ../images/logout.gif ) !important;
}

.x-icon-alert {
  background-image: url(../images/caution.gif) !important;
}

.x-icon-information {
  background-image: url(../images/quote.gif) !important;
}

.x-icon-waiting {
  background-image: url(../images/hourglass.gif) !important;
}

.x-icon-done {
  background-image: url(../images/clock.gif) !important;
}

.settings {
  background-image: url( ../images/gears.gif ) !important;
}

.broadcast-message {
  background-image: url( ../images/transmit.png ) !important;
}

.logout-session {
  background-image: url( ../images/key_delete.png ) !important;
}

.network-status-red-icon {
  background-image: url(../images/network-red16x16.png) !important;
  filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/network-red16x16.png', sizingMethod='scale');
}

.network-status-green-icon {
  background-image: url(../images/network-green16x16.png) !important;
  filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/network-green16x16.png', sizingMethod='scale');
}


#dpanels {
  width: 250px;
  float: right;
}

#dpanels .x-panel {
  margin: 15px;
}

#dpanels .x-date-picker {
  border: 0 none;
  border-top: 0 none;
  background: transparent;
}

#dpanels .x-date-picker td.x-date-active {
  background: #ffffff;
}

#dpanels .x-date-picker {
  width: 100% !important;
}

#x-desktop {
  width: 100%;
  height: 100%;
  border: 0 none;
  position: relative;
    overflow:hidden;
    zoom:1;
}

#x-desktop .x-riskprofile fieldset {
  padding: 1em;
  border-bottom-color: #99BBE8;
  border-bottom-width: 1px;
  border-left-color: #99BBE8;
  border-left-width: 1px;
  border-right-color: #99BBE8;
  border-right-width: 1px;
  border-top-color: #99BBE8;
  border-top-width: 1px;
  margin-bottom: 2px;
  margin-left: 2px;
  margin-right: 2px;
  margin-top: 2px;
}

#x-desktop .x-riskprofile legend {
  padding: 0.2em 0.5em;
  border:1px solid #99BBE8;
  color: #15428B;
  font-size: 100%;
  text-align: left;
}

#ux-taskbar .x-btn {
  float: left;
  margin: 1px 0 0 1px;
    position:relative;
}

#ux-taskbar-start .x-btn {
  float: left;
  margin: 0;
    position:relative;
}

#ux-taskbar button {
  /* width: 150px;
  overflow: hidden; */
  text-align: left;
  color: #ffffff;
}
#title-bar-wrapper {
  height:35px;
}

#title-bar {
  color: #225599;
  padding: 9px 7px;
  font: bold 16px tahoma,arial,verdana,sans-serif;
  float:left;
}

#x-logout {
  float:right;
  padding:6px 7px;
}

.x-btn-text-icon .x-btn-center .logout {
  background-position:0pt 3px;
  background-repeat:no-repeat;
  padding:3px 0pt 3px 18px;
}

#ux-taskbar {
  background:transparent none;
  height:30px;
  margin:0;
  padding:0;
  position:relative;
  z-index:12001;
}

.x-btn-icon .ux-taskbutton-center .x-btn-text{
  background-position: center;
  background-repeat: no-repeat;
  height: 16px;
  width: 16px;
  cursor:pointer;
  white-space: nowrap;
    padding:0;
}
.x-btn-icon .ux-taskbutton-center{
  padding:1px;
}

.x-btn-text-icon .ux-taskbutton-center .x-btn-text{
  background-position: 0 6px;
  background-repeat: no-repeat;
  padding:7px 0px 7px 20px;
}

.x-btn-text-icon .ux-startbutton-center .x-btn-text{
  background-position: 0 4px;
  background-repeat: no-repeat;
  color:#000000 !important;
  font-weight:bold;
  padding:7px 0px 7px 28px;
}

.ux-taskbutton-left, .ux-taskbutton-right{
  font-size:1px;
    line-height:1px;
}
.ux-taskbutton-left{
  width:4px;
  height:28px;
  background:url( ../images/taskbutton.gif ) no-repeat 0 0;
}
.ux-taskbutton-right{
  width:4px;
  height:28px;
  background:url( ../images/taskbutton.gif ) no-repeat 0 -28px;
}
.ux-taskbutton-left i, .ux-taskbutton-right i{
  display:block;
    width:4px;
    overflow:hidden;
    font-size:1px;
    line-height:1px;
}
.ux-taskbutton-center{
  background:url( ../images/taskbutton.gif ) repeat-x 0 -56px;
  vertical-align: middle;
  text-align:center;
  padding:0 5px;
  cursor:pointer;
  white-space:nowrap;
}

#ux-taskbar .ux-taskbutton-left{ 
  background-position:0 0;
}
#ux-taskbar .ux-taskbutton-right{
  background-position:0 -28px;
}
#ux-taskbar .ux-taskbutton-center{
  background-position:0 -56px;
}

#ux-taskbar .x-btn-over .ux-taskbutton-left{
  background-position:0 -252px;
}
#ux-taskbar .x-btn-over  .ux-taskbutton-right{
  background-position:0 -280px;
}
#ux-taskbar .x-btn-over .ux-taskbutton-center{
  background-position:0 -308px;
}

#ux-taskbar .x-btn-click .ux-taskbutton-left{
  background-position:0 -168px;
}
#ux-taskbar .x-btn-click  .ux-taskbutton-right{
  background-position:0 -196px;
}
#ux-taskbar .x-btn-click .ux-taskbutton-center{
  background-position:0 -224px;
}

#ux-taskbar .active-win .ux-taskbutton-left{
  background-position:0 -84px;
}
#ux-taskbar .active-win  .ux-taskbutton-right{
  background:url( ../images/taskbutton.gif ) no-repeat 0 -112px;
}
#ux-taskbar .active-win .ux-taskbutton-center{
  background:url( ../images/taskbutton.gif ) repeat-x 0 -140px;
}
#ux-taskbar .active-win .ux-taskbutton-center button {
    color:#fff;
}

#spacer {
  height: 25px;
  float: left;
  width: 0;
  overflow: hidden;
  margin-top: 2px;
}

.x-window-body p,.x-panel-body p {
  padding: 10px;
  margin: 0;
}

.x-window-maximized .x-window-bc {
  height:0;
}

/* Trader activity table colours */
.white-row .x-grid-cell {
    background-color: white;
}
.x-grid-row-over.red-row .x-grid-cell {
    background-color: maroon; color: white;
}
.x-grid-row-over.blue-row .x-grid-cell {
    background-color: #0000CD; color: white;
}
.x-grid-row-over.yellow-row .x-grid-cell {
    background-color: orange;
}
.x-grid-row-over.green-row .x-grid-cell {
    background-color: green; color: white;
}

.x-grid-row-selected.red-row .x-grid-cell {
    background-color: maroon; color: white;
}
.x-grid-row-selected.blue-row .x-grid-cell {
    background-color: #0000CD; color: white;
}
.x-grid-row-selected.yellow-row .x-grid-cell {
    background-color: orange;
}
.x-grid-row-selected.green-row .x-grid-cell {
    background-color: green; color: white;
}

.strike-row .x-grid-cell {
  text-decoration: line-through !important;
  color : BLACK !important;
}

/* Trader tree icons */
.icon-all {
    background-image:url( ../images/world16x16.png ) !important;
}
.icon-firm {
    background-image:url( ../images/firm.gif ) !important;
}
.icon-firm-locked {
    background-image:url( ../images/firm-locked.png ) !important;
}
.icon-group {
    background-image:url( ../images/group.gif ) !important;
}
.icon-trader {
    background-image:url( ../images/trader.gif ) !important;
}
.icon-question {
    background-image:url( ../images/question.gif ) !important;
}

/* DataCheck tree icons */
.db-add {
  background-image:url( ../images/database_add16x16.png ) !important;
}
.db-delete {
  background-image:url( ../images/database_delete16x16.png ) !important;
}
.db-edit {
  background-image:url( ../images/database_edit16x16.png ) !important;
}
.db-error {
  background-image:url( ../images/database_error16x16.png ) !important;
}
.db-gear {
  background-image:url( ../images/database_gear16x16.png ) !important;
}
.db-go {
  background-image:url( ../images/database_go16x16.png ) !important;
}
.db-script {
  background-image:url( ../images/script16x16.png ) !important;
}
.hourglass {
  background-image:url( ../images/hourglass16x16.png ) !important;
}
.table-error {
  background-image:url( ../images/table_error16x16.png ) !important;
}
.table-gear {
  background-image:url( ../images/table_gear16x16.png ) !important;
}
.table-go {
  background-image:url( ../images/table_go16x16.png ) !important;
}
.folder-private {
  background-image:url( ../images/folder_private16x16.png ) !important;
}
.folder-public {
  background-image:url( ../images/folder_public16x16.png ) !important;
}
.stock-symbol {
  background-image:url( ../images/stock-symbol16x16.png ) !important;
}

/* Start menu icons */
.icon-activitymonitor {
    background-image:url( ../images/activitymonitor16x16.png ) !important;
    background-repeat: no-repeat;
}
.icon-surveillancemonitor {
    background-image:url( ../images/surveillancemonitor16x16.png ) !important;
}
.icon-surveillanceprofiles {
    background-image:url( ../images/notification_bell16x16.png ) !important;
}
.icon-surveillancescans {
    background-image:url( ../images/surveillance_scans16x16.png ) !important;
}
.icon-latencymonitor {
    background-image:url( ../images/stopwatch16x16.png ) !important;
}
.icon-risk {
    background-image:url( ../images/riskprofiles16x16.png ) !important;
}
.icon-positions {
  background-image:url( ../images/positions_16x16.png ) !important;
}
.icon-orders {
  background-image:url( ../images/tickets_16x16.gif ) !important;
}
.icon-mxptvriskprofiles {
    background-image:url( ../images/mx_16x16.jpg ) !important;
}
.icon-killswitch {
    background-image:url( ../images/killswitch16x16.png ) !important;
}
.icon-reports {
    background-image:url( ../images/reports16x16.png ) !important;
}
.icon-operations {
    background-image:url( ../images/operations16x16.png ) !important;
}
.icon-administration {
    background-image:url( ../images/administration16x16.png ) !important;
}
.icon-eventlog {
    background-image:url( ../images/eventlog16x16.png ) !important;
}
.icon-datacheck {
    background-image:url( ../images/datacheck16x16.png) !important;
}
.icon-debug {
    background-image:url( ../images/debug16x16.png ) !important;
}
.icon-log {
    background-image:url( ../images/log16x16.png ) !important;
}
.icon-user {
    background-image:url( ../images/user16x16.png ) !important;
}
.icon-grid {
    background-image:url( ../images/grid.png ) !important;
}
.icon-stock {
    background-image:url( ../images/stock16x16.png ) !important;
}
.icon-backup {
    background-image:url( ../images/backup16x16.png ) !important;
}
.icon-mario {
    background-image:url( ../images/mario16x16.png ) !important;
}
.icon-dispatch {
  background-image:url( ../images/server_link16x16.png ) !important;
}
.icon-agent {
  background-image:url( ../images/server_connect16x16.png ) !important;
}
.icon-marketsession {
  background-image:url( ../images/link_go16x16.png ) !important;
}
.icon-tradersession {
  background-image:url( ../images/link_error16x16.png ) !important;
}
.icon-exclamation {
  background-image:url( ../images/exclamation16x16.png ) !important;
}
.icon-checkbox-off {
  background-image:url( ../images/checkbox_off_13x13.gif ) !important;
}
.icon-checkbox-on {
  background-image:url( ../images/checkbox_on_13x13.gif ) !important;
}
.icon-lightning_go {
  background-image:url( ../images/lightning_go16x16.png ) !important;
}
.icon-warning {
  background-image:url( ../images/warning16x16.png ) !important;
}
.icon-table {
  background-image:url( ../images/table16x16.png ) !important;
}
.icon-pretrade {
  background-image:url( ../images/pretrade16x16.png ) !important;
}
.icon-cloudrefresh {
  background-image:url( ../images/cloud_refresh16x16.png ) !important;
}
.icon-folder {
  background-image:url( ../images/folder16x16.png ) !important;
}
.icon-folderpage {
  background-image:url( ../images/folderpage16x16.png ) !important;
}

/* CSV Upload icon */
.icon-upload {
    background: url( ../images/upload16x16.png ) no-repeat 0 0 !important;
}

/* Trader status icons */
.icon-offline {
    background-image:url( ../images/disconnect.png ) !important;
}
.icon-online {
    background-image:url( ../images/connect.png ) !important;
}

/* Trader status icons */
.icon-heartbeat-off {
    background-image:url( ../images/heartbeat_off_16x16.png ) !important;
}
.icon-heartbeat-on {
    background-image:url( ../images/heartbeat_on_16x16.png ) !important;
}

/* Show/Hide icons */
.icon-show {
    background-image:url( ../images/show16x16.png ) !important;
}
.icon-hide {
    background-image:url( ../images/hide16x16.png ) !important;
}

/* Filter / Clear Filter */
.icon-filter {
    background-image:url( ../images/filter16x16.png ) !important;
}
.icon-clear-filter {
    background-image:url( ../images/clear-filter16x16.png ) !important;
}

/* Message direction icons */
.icon-arrow-right {
  background: url( ../images/arrow_right.png ) center no-repeat !important;
}
.icon-arrow-left {
  background: url( ../images/arrow_left.png ) center no-repeat !important;
}
.icon-arrow-up {
  background: url( ../images/arrow_up.png ) center no-repeat !important;
}
.icon-arrow-down {
  background: url( ../images/arrow_down.png ) center no-repeat !important;
}
.icon-arrow-switch {
  background: url( ../images/arrow_switch.png ) center no-repeat !important;
}

/* Replayer icons */
.icon-start {
  background-image:url( ../images/play16x16.png ) !important;
}
.icon-stop {
  background-image:url( ../images/stop16x16.png ) !important;
}
.icon-play {
  background-image:url( ../images/fastforward16x16.png ) !important;
}
.icon-pause {
  background-image:url( ../images/pause16x16.png ) !important;
}


/* Operations icons */

/* Start- and end-of-day icons */
.icon-startofday {
    background-image:url( ../images/startofday16x16.gif ) !important;
}
.icon-endofday {
    background-image:url( ../images/endofday16x16.gif ) !important;
}
/* Settings/configuration icons */
.icon-settings {
    background-image:url( ../images/settings16x16.png ) !important;
}
/* Schedule */
.icon-schedule {
  background-image: url( ../images/time_go.png ) !important;
}
/* Trade on behalf icon */
.icon-tradeonbehalf {
    background-image:url( ../images/ticket16x16.png ) !important;
}
/* Routing icon */
.icon-routing {
    background-image:url( ../images/routing16x16.png ) !important;
}
/* Locates icon */
.icon-locates {
    background-image:url( ../images/locates16x16.png ) !important;
}
/* Email icons */
.icon-email {
    background-image:url( ../images/email16x16.png ) !important;
}
.icon-email-template {
    background-image:url( ../images/email_edit16x16.png ) !important;
}
.icon-email-jobs {
    background-image:url( ../images/email_go16x16.png ) !important;
}
/* Drop copy reconciliation icon */
.icon-reconciliation {
    background-image:url( ../images/reconciliation16x16.png ) !important;
}
/* End of Day icons */
.icon-endofday {
    background-image:url( ../images/summary16x16.png ) !important;
}
/* Reports icons */
.icon-report {
    background-image:url( ../images/report16x16.png ) !important;
}
.icon-report-red {
    background-image:url( ../images/reportred16x16.png ) !important;
}
.icon-report-blue {
    background-image:url( ../images/reportblue16x16.png ) !important;
}
.icon-report-green {
    background-image:url( ../images/reportgreen16x16.png ) !important;
}
.icon-report-saveandcontinuelater {
  background-image:url( ../images/clock24x24.png ) !important;
}
.icon-report-finalize {
  background-image:url( ../images/check24x24.png ) !important;
}
.icon-report-reopen {
  background-image:url( ../images/reopen24x24.png ) !important;
}
.profile-side-icon {
  background-image:url( ../images/profile-side-icon.png ) !important;
}
.icon-ordersearch {
    background-image:url( ../images/database_table16x16.png ) !important;
}

/* Market session status icons */
.ms-online {
    background: url(../images/led-blue.gif) left no-repeat !important;
}
.ms-active {
    background: url(../images/led-green.gif) left no-repeat !important;
}
.ms-idle {
    background: url(../images/led-yellow.gif) left no-repeat !important;
}
.ms-down {
    background: url(../images/led-red.gif) left no-repeat !important;
}
.ms-padding-img {
    width:18px; height:0px;
}
.ticket-locked {
    background: url(../images/firm-locked.png) left no-repeat !important;
}

/* FIX message details */
.message-details {
  background: url(../images/message_details16x16.png) center no-repeat !important;
}

/* Lock icons */
.lock-open {
  background: url(../images/lock_open16x16.png) left no-repeat !important;
}
.lock-delete {
  background: url(../images/lock_delete16x16.png) left no-repeat !important;
}
.lock {
  background: url(../images/lock16x16.png) left no-repeat !important;
}
.lock-padding-img {
  width:18px; height:0px;
}

/* Export to PDF icon */
.export-pdf {
  background: url(../images/export_pdf_16x16.gif) left no-repeat !important;
}
/* Export to CSV icon */
.export-csv {
  background: url(../images/export_csv_16x16.gif) left no-repeat !important;
}
/* Export to Excel icon */
.export-xls {
  background: url(../images/export_xls_16x16.png) left no-repeat !important;
}

/* Accepted/rejected icons */
.icon-accepted {
  background: url( ../images/accept16x16.png ) center no-repeat !important;
}
.icon-cancelled {
  background: url( ../images/cancel16x16.png ) center no-repeat !important;
}
.icon-rejected {
  background: url( ../images/reject16x16.png ) center no-repeat !important;
}
.icon-succession {
  background: url( ../images/succession16x16.png ) center no-repeat !important;
}
.icon-tick {
  background: url( ../images/tick16x16.png ) center no-repeat !important;
}
.icon-info {
  background: url( ../images/info16x16.png ) center no-repeat !important;
}
.icon-readonly {
  background: url( ../images/read-only16x16.png ) center no-repeat !important;
}
.icon-computed {
  background: url( ../images/computed16x16.png ) center no-repeat !important;
}

/* Tab icons */
.icon-tab {
    background-image:url( ../images/tab.png ) !important;
}
.icon-tab-delete {
    background-image:url( ../images/tab_delete.png ) !important;
}

.add {
    background-image:url( ../images/add.gif ) !important;
}
.edit {
    background-image:url( ../images/edit.gif ) !important;
}
.copy {
    background-image:url( ../images/page_copy.png ) !important;
}
.option {
    background-image:url( ../images/options.gif ) !important;
}
.delete {
    background-image:url( ../images/delete.gif ) !important;
}
.refresh {
    background-image:url( ../images/refresh16x16.png ) !important;
}
.save {
    background-image:url( ../images/save.gif ) !important;
}
.download {
    background-image:url( ../images/download16x16.gif ) !important;
}
.html16 {
    background-image:url( ../images/html16x16.png ) !important;
}
.csv16 {
    background-image:url( ../images/csv16x16.png ) !important;
}
.xlsx16 {
    background-image:url( ../images/xlsx16x16.png ) !important;
}
.xml16 {
    background-image:url( ../images/xml16x16.png ) !important;
}
.pdf16 {
    background-image:url( ../images/pdf16x16.png ) !important;
}
.accordion {
    background-image:url( ../images/accordion.gif ) !important;
}
.tabs {
    background-image:url( ../images/tabs.gif ) !important;
}
.cancel {
    background-image:url( ../images/cancel16x16.png ) !important;
}
.pinned-note {
    background-image:url( ../images/note_pinned16x16.png ) !important;
}

/* IM window icons */

.user {
    background-image:url( ../images/user.gif ) !important;
}

.user-add {
    background-image:url( ../images/user_add.gif ) !important;
}

.user-delete {
    background-image:url( ../images/user_delete.gif ) !important;
}

.connect {
    background-image:url( ../images/connect.gif ) !important;
}

.user-girl {
    background-image:url( ../images/user_female.gif ) !important;
}

.user-kid {
    background-image:url( ../images/user_green.gif ) !important;
}

.user-suit {
    background-image:url( ../images/user_suit.gif ) !important;
}

.ux-start-menu {
  background:transparent none;
  border:0px none;
  padding:0;
}

.ux-start-menu-tl .x-window-header {
  color:#f1f1f1;
  font:bold 11px tahoma,arial,verdana,sans-serif;
    padding:5px 0 4px 0;
}

.x-panel-tl .x-panel-icon, .ux-start-menu-tl .x-panel-icon {
  background-position:0pt 4px;
  background-repeat:no-repeat;
  padding-left:20px !important;
}

.ux-start-menu-tl {
  background: transparent url( ../images/start-menu-left-corners.png ) no-repeat 0 0;
  padding-left:6px;
    zoom:1;
    z-index:1;
    position:relative;
}

.ux-start-menu-tr {
  background: transparent url( ../images/start-menu-right-corners.png ) no-repeat right 0;
  padding-right:6px;
}

.ux-start-menu-tc {
  background: transparent url( ../images/start-menu-top-bottom.png ) repeat-x 0 0;
  overflow:hidden;
    zoom:1;
}

.ux-start-menu-ml {
  background: transparent url( ../images/start-menu-left-right.png ) repeat-y 0 0;
  padding-left:6px;
    zoom:1;
}

.ux-start-menu-bc {
  background: transparent url( ../images/start-menu-top-bottom.png ) repeat-x 0 bottom;
    zoom:1;
}

.ux-start-menu-bc .x-window-footer {
    padding-bottom:6px;
    zoom:1;
    font-size:0;
    line-height:0;
}

.ux-start-menu-bl {
  background: transparent url( ../images/start-menu-left-corners.png ) no-repeat 0 bottom;
  padding-left:6px;
    zoom:1;
}

.ux-start-menu-br {
  background: transparent url( ../images/start-menu-right-corners.png ) no-repeat right bottom;
  padding-right:6px;
    zoom:1;
}

.x-panel-nofooter .ux-start-menu-bc {
  height:6px;
}

.ux-start-menu-splitbar-h {
  background-color:#d0d0d0;
}


.ux-start-menu-bwrap {
  background:transparent none;
  border:0px none;
}

.ux-start-menu-body {
  background:transparent none;
  border:0px none;
}

.ux-start-menu-apps-panel {
  background:#ffffff none;
  border:1px solid #1e2124;
}

.ux-start-menu-tools-panel {
  border:0px none;
  background:transparent url( ../images/start-menu-right.png ) repeat-y scroll right 0pt;
}

#ux-taskbar-start {
  background:#000000 url( ../images/taskbar-start-panel-bg.gif ) repeat-x left top;
  left:0px;
  padding:0;
  position:absolute;
}

#ux-taskbar-start .x-toolbar {
  background: none;
  padding:0px;
  border:0px none;
}

#ux-taskbuttons-panel {
  background:#000000 url( ../images/taskbuttons-panel-bg.gif ) repeat-x left top;
  padding-top:0;
  position:relative;
}

.ux-taskbuttons-strip-wrap {
  /* overflow:hidden;
  position:relative;
  width:100%; */
  
  width:100%;
    overflow:hidden;
    position:relative;
    zoom:1;
}

ul.ux-taskbuttons-strip {
  display:block;
  width:5000px;
    zoom:1;
}

ul.ux-taskbuttons-strip li {
    float:left;
    margin-left:2px;
}


ul.ux-taskbuttons-strip li.ux-taskbuttons-edge {
    float:left;
    margin:0 !important;
    padding:0 !important;
    border:0 none !important;
    font-size:1px !important;
    line-height:1px !important;
    overflow:hidden;
    zoom:1;
    background:transparent !important;
    width:1px;
}

ul.space_list li {
  margin: 10px 0;
}

.x-clear {
    clear:both;
    height:0;
    overflow:hidden;
    line-height:0;
    font-size:0;
}

.x-taskbuttons-scrolling {
  position:relative;
}

.x-taskbuttons-scrolling .ux-taskbuttons-strip-wrap {
  margin-left:18px;
  margin-right:18px;
}

td.ux-taskButtons-edge {
    /*float:left;*/
    margin:0 !important;
    padding:0 !important;
    border:0 none !important;
    font-size:1px !important;
    line-height:1px !important;
    overflow:hidden;
    zoom:1;
    background:transparent !important;
    width:1px;
}

.ux-taskbuttons-scroller-left {
    background: transparent url( ../images/scroll-left.gif ) no-repeat -18px 0;
    width:18px;
    position:absolute;
    left:1px;
    top:0px;
    z-index:10;
    cursor:pointer;
}
.ux-taskbuttons-scroller-left-over {
    background-position: 0 0;
}
.ux-taskbuttons-scroller-left-disabled {
    background-position: -18px 0;
    opacity:.5;
    -moz-opacity:.5;
    filter:alpha(opacity=50);
    cursor:default;
}
.ux-taskbuttons-scroller-right {
    background: transparent url( ../images/scroll-right.gif ) no-repeat 0 0;
    width:18px;
    position:absolute;
    right:0;
    top:0px;
    z-index:10;
    cursor:pointer;
}
.ux-taskbuttons-scroller-right-over {
    background-position: -18px 0;
}
.ux-taskbuttons-scroller-right-disabled {
    background-position: 0 0;
    opacity:.5;
    -moz-opacity:.5;
    filter:alpha(opacity=50);
    cursor:default;
}

.ux-toolmenu-sep {
  background-color:#18191a;
  border-bottom:1px solid #858789;
  display:block;
  font-size:1px;
  line-height:1px;
  margin:2px 3px;
}

.ux-start-menu-tools-panel ul.x-menu-list li.x-menu-list-item a.x-menu-item {
  color:#ffffff;
}

.ux-start-menu-tools-panel ul.x-menu-list li.x-menu-list-item .x-menu-item-active a.x-menu-item {
  color:#000000;  
}

.ux-start-menu-tools-panel .x-menu-item-active {
  background: #525456 url( ../images/item-over.gif ) repeat-x left bottom;
  border:1px solid #000000;
  padding: 0;
}

#ux-taskbar .x-splitbar-h {
  background:#000000 url( ../images/taskbar-split-h.gif ) no-repeat 0 0;
  width:8px;
}

.x-window-header-text {
  cursor:default;
}

/*
 * Begin Start button
 */
.ux-startbutton-left, .ux-startbutton-right{
  font-size:1px;
    line-height:1px;
}
.ux-startbutton-left{
  width:10px;
  height:28px;
  background:url( ../images/startbutton.gif ) no-repeat 0 0;
}
.ux-startbutton-right{
  width:10px;
  height:30px;
  background:url( ../images/startbutton.gif ) no-repeat 0 -28px;
}
.ux-startbutton-left i, .ux-startbutton-right i{
  display:block;
    width:10px;
    overflow:hidden;
    font-size:1px;
    line-height:1px;
}
.ux-startbutton-center{
  background:url( ../images/startbutton.gif ) repeat-x 0 -56px;
  vertical-align: middle;
  text-align:center;
  padding:0;
  cursor:pointer;
  white-space:nowrap;
}

#ux-taskbar .ux-startbutton-left{ 
  background-position:0 0;
}
#ux-taskbar .ux-startbutton-right{
  background-position:0 -30px;
}
#ux-taskbar .ux-startbutton-center{
  background-position:0 -60px;
}

#ux-taskbar .x-btn-over .ux-startbutton-left{
  background-position:0 -270px;
}
#ux-taskbar .x-btn-over  .ux-startbutton-right{
  background-position:0 -300px;
}
#ux-taskbar .x-btn-over .ux-startbutton-center{
  background-position:0 -330px;
}

#ux-taskbar .x-btn-click .ux-startbutton-left{
  background-position:0 -180px;
}
#ux-taskbar .x-btn-click  .ux-startbutton-right{
  background-position:0 -210px;
}
#ux-taskbar .x-btn-click .ux-startbutton-center{
  background-position:0 -240px;
}

#ux-taskbar .active-win .ux-startbutton-left{
  background-position:0 -90px;
}
#ux-taskbar .active-win  .ux-startbutton-right{
  background:url( ../images/startbutton.gif ) no-repeat 0 -120px;
}
#ux-taskbar .active-win .ux-startbutton-center{
  background:url( ../images/startbutton.gif ) repeat-x 0 -150px;
}
#ux-taskbar .active-win .ux-startbutton-center button {
    color:#fff;
}
/*
 * End Start button
 */

.x-resizable-proxy{
    background:#C7DFFC;
    opacity:.5;
    -moz-opacity:.5;
    filter:alpha(opacity=50);
    border: 1px solid #3b5a82;
}

/* Desktop Shortcuts */
#x-shortcuts dt {
    float:left;
    margin:15px 0 0 15px;
    clear:left;
    width:64px;
    font:normal 10px tahoma,arial,verdana,sans-serif;
    text-align:center;
    zoom:1;
    display:block;
}
#x-shortcuts dt a {
    width:64px;
    display:block;
/*    color:white; */
    text-decoration:none;
}
#x-shortcuts dt div {
    width:100%;
/*    color:white; */
    overflow:hidden;
    text-overflow:ellipsis;
    cursor:pointer;
}
.ext-ie .x-menu-item-icon {
    left: -24px;
}
.ext-strict .x-menu-item-icon {
    left: 3px;
}
.ext-ie #x-shortcuts dt img {
    background:transparent !important;
}
#x-shortcuts dt a:hover {
    text-decoration:underline;
}
/* shortcuts */
.activity-win-shortcut {
    /* width:48px; */
    height:48px;
    background-image: url( ../images/activitymonitor48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../images/activitymonitor48x48.png', sizingMethod='scale');
}
.surveillancemonitor-win-shortcut {
    /* width:48px; */
    height:48px;
    background-image: url( ../images/surveillancemonitor48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../images/surveillancemonitor48x48.png', sizingMethod='scale');
}
.surveillanceprofiles-win-shortcut {
    /* width:48px; */
    height:48px;
    background-image: url( ../images/notification_bell48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../images/notification_bell48x48.png', sizingMethod='scale');
}
.surveillancescans-win-shortcut {
    /* width:48px; */
    height:48px;
    background-image: url( ../images/surveillance_scans48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../images/surveillance_scans48x48.png', sizingMethod='scale');
}
.latency-win-shortcut img {
    width:48px;
    height:48px;
    background-image: url( ../images/stopwatch48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/stopwatch48x48.png', sizingMethod='scale');
}
.risksettings-win-shortcut img {
    width:48px;
    height:48px;
    background-image: url( ../images/riskprofiles48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/riskprofiles48x48.png', sizingMethod='scale');
}
.mxptvriskprofiles-win-shortcut img {
    width:48px;
    height:48px;
    background-image: url( ../images/mx_48x48.gif );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/mx_48x48.gif', sizingMethod='scale');
}
.reports-win-shortcut img {
    width:48px;
    height:48px;
    background-image: url( ../images/reports48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/reports48x48.png', sizingMethod='scale');
}
.operations-win-shortcut img {
    /* width:48px; */
    height: 48px;
    background-image: url( ../images/operations48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/operations48x48.png', sizingMethod='scale');
}
.administration-win-shortcut {
    /* width:48px; */
    height:48px;
    background-image: url( ../images/administration48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/administration48x48.png', sizingMethod='scale');
}

.eventlog-win-shortcut img {
    width: 48px;
    height: 48px;
    background-image: url( ../images/eventlog48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/eventlog48x48.png', sizingMethod='scale');
}

#mario-win-shortcut img {
    width:48px;
    height:48px;
    background-image: url( ../images/mario48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/mario48x48.png', sizingMethod='scale');
}

.debug-win-shortcut img {
    width: 48px;
    height: 48px;
    background-image: url( ../images/debug48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/debug48x48.png', sizingMethod='scale');
}

.datacheck-win-shortcut img {
    width: 48px;
    height: 48px;
    background-image: url( ../images/datacheck48x48.png );
    filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../static/images/datacheck48x48.png', sizingMethod='scale');
}

/* About TripleCheck dialog */
.tc-about-dlg {
  text-align: center;
}
.tc-about-img {
  padding-top: 10px;
}
.tc-about-deployment {
  margin-top: 20px;
  font-size: 120%;
  font-weight: bold;
}
.tc-about-release {
  margin-top: 20px;
  font-size: 120%;
  font-weight: bold;
}
.tc-about-build {
  margin-top: 5px;
  font-size: 120%;
  font-weight: bold;
/* font-size: smaller; */
}
.tc-about-copyright {
  margin-top: 50px;
}
.tc-about-changelog {
  margin-top: 10px;
}
.tc-about-whatsnew p {
  background: transparent url(../images/info16x16.png) left top no-repeat;
  padding: 2px 0 2px 20px;
}


/* ************************add for clock*************************** */
#ux-taskclock-panel {
   background: transparent url( ../images/taskbar-start-panel-bg.gif ) repeat-x left top;
   left:0px;
   padding:0;
   position:absolute;
}
#ux-taskclock-panel .x-panel-body {
   background: transparent url( ../images/taskbar-start-panel-bg.gif ) repeat-x left top;
}
#ux-taskbar .x-btn-ml {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-mc {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-mr {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-tl {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-tc {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-tr {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-bl {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-bc {
  background:url(../images/s.gif) no-repeat 0 0;
}
#ux-taskbar .x-btn-br {
  background:url(../images/s.gif) no-repeat 0 0;
}
.hour_tb {
   background-image: url(../images/time.png) !important;
}

.x-boundlist-item div.lovCombo {
  display: inline-block;
    height: 16px;
    width: 16px;
    margin-top: -4px;
    margin-right: 4px;
    background: transparent url(../images/unchecked.gif);
    vertical-align: middle;
}
.x-boundlist-selected div.lovCombo{
    background: transparent url(../images/checked.gif);
}

/* Status Bar */
.x-statusbar .x-status-red {
    color: #C33;
    padding-left: 25px !important;
    background: transparent no-repeat 3px -1px;
    background-image: url(../images/led-red.gif);
}
.x-statusbar .x-status-green {
    padding-left: 25px !important;
    background: transparent no-repeat 3px -1px;
    background-image: url(../images/led-green.gif);
}
.x-statusbar .x-status-yellow {
    padding-left: 25px !important;
    background: transparent no-repeat 3px -1px;
    background-image: url(../images/led-yellow.gif);
}

.ux-start-button-icon {
  background-image: url(../images/startbutton-icon.png) !important;
}

/* Fixes formatting problem in start menu in RedWine theme */
.x-menu-item-link {
  padding: 0 0 0 30px;
}

.datacheck-sidebar-grid .x-grid-body {
  border-top-width: 0;
}

.icon-query-add {
  background-image:url( ../images/database_table16x16.png ) !important;
}

/* Ext Patches */

/* Fixes tooltips not showing on disabled items */
.x-item-disabled, .x-item-disabled * {
  pointer-events: auto !important;
  cursor: default !important;
}

/* Fixes menu items */
.x-menu-item-text-default.x-menu-item-indent-no-separator {
  margin-left: 0px !important;
}

.x-menu-item-text-default.x-menu-item-indent {
  margin-left: 10px !important;
}

/* Fixes icons in tree list menus (Operations, Reports) */
.tree-list-menu-container .x-treelist-item-icon {
  bottom: 0px;
}

/* RBC extensions */
.icon-rbcas {
    background-image:url( ../images/rbc_as_16x16.png ) !important;
}
.icon-rbccs {
    background-image:url( ../images/rbc_cs_16x16.png ) !important;
}

.multiline .x-column-header-inner .x-column-header-text { white-space: normal; }